/**
 * 各种窗口创建
 * @author yutent<yutent.io@gmail.com>
 * @date 2020/11/27 13:59:55
 */

const { BrowserWindow } = require('electron')

/**
 * 应用主窗口
 */
exports.createMainWindow = function (icon) {
  // 创建浏览器窗口
  let win = new BrowserWindow({
    title: '',
    width: 320,
    height: 240,
    frame: false,
    resizable: false,
    maximizable: false,
    icon,
    transparent: true,
    vibrancy: 'dark',
    webPreferences: {
      webSecurity: false,
      experimentalFeatures: true,
      preload: './inject.js'
    },
    show: false
  })

  // 然后加载应用的 index.html。

  win.loadURL('app://local/index.html')

  // createAppTray(win)
  // ctrlTrayBtn(win)
  // createLrcTray(win)

  win.on('ready-to-show', _ => {
    win.show()
    win.openDevTools()
  })

  win.on('close', ev => {
    ev.preventDefault()
    win.hide()
  })

  return win
}
